=== debian/changelog ===
gnome-shell-extension-flypie (17-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 10:52:57 -0500

gnome-shell-extension-flypie (17-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Oct 2022 16:01:26 -0400

gnome-shell-extension-flypie (17-1~exp1) experimental; urgency=medium

  * Copyright: add some svg files with CC-BY-4.0 license metadata
  * New upstream version 17
  * Update d/watch file.
  ^ Remove the CC-BY-4.0 license part for some svg files.
    The corresponding license headers are removed in the new release.
    They are licensed as CC0 as described in resources/README.md
  * Bump Gnome compatibility to (<= 44~).

 -- Mo Zhou <lumin@debian.org>  Mon, 10 Oct 2022 13:32:43 -0400

gnome-shell-extension-flypie (16-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1011460)

 -- Mo Zhou <lumin@debian.org>  Wed, 20 Jul 2022 21:36:53 -0700
