=== debian/control ===
Source: gnome-shell-extension-flypie
Section: gnome
Homepage: https://github.com/Schneegans/Fly-Pie
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-flypie.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-flypie
Maintainer: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, unzip, zip

# see metadata.json for supported gnome-shell version range
Package: gnome-shell-extension-flypie
Architecture: all
Depends: gnome-shell (<< 44~), gnome-shell (>= 3.36~), ${misc:Depends}
Description: innovative marking menu via keyboard shortcuts
 Fly-Pie is an extension for GNOME Shell which lets you open marking menus via
 keyboard shortcuts. It is the first GNOME Shell extension with achievements!
 .
 You can use it to launch applications, simulate hotkeys, open URLs and much
 more. It features a continuous learning curve which lets you gradually lift-off
 from a grumpie menu rookie to a snappie menu pielot. (You got it? Like pilot,
 but with a cake). Once you opened a marking menu, you can seamlessly transition
 between three alternative selection modes:
 .
  * Point-and-Click: Select items by clicking on them or anywhere in the
    corresponding wedges.
  * Marking-Mode: Select items by drawing gestures. To do this, click anywhere
    and drag your mouse. Pausing or making a turn selects the currently
	dragged item.
  * Turbo-Mode: You can also "draw" gestures while holding Ctrl, Shift, or
    Alt without having to press your mouse button! This is especially useful
	when you opened the menu with a shortcut involving such a modifier.
