=== debian/rules ===
#!/usr/bin/make -f
TEMPDIR=debian/tmp/usr/share/gnome-shell/extensions/flypie@schneegans.github.com
%:
	dh $@

override_dh_auto_build:
	$(MAKE) zip

override_dh_auto_test:
	# this requires podman (and hence network access)

override_dh_auto_install:
	mkdir -p $(TEMPDIR)
	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)
