## gnome-shell-extension-flypie 21

=== debian/changelog ===
gnome-shell-extension-flypie (21-2) unstable; urgency=medium

  * Mark gnome-shell 44 as already supported. (Closes: #1041571).
    Thanks to Simon McVittie!

 -- Mo Zhou <lumin@debian.org>  Thu, 24 Aug 2023 14:03:20 -0400

gnome-shell-extension-flypie (21-1) unstable; urgency=medium

  * New upstream version 21

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Jul 2023 15:06:00 -0700
