=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # see metadata.json for supported gnome-shell version range
 Package: gnome-shell-extension-flypie
 Architecture: all
-Depends: gnome-shell (<< 45~), gnome-shell (>= 3.36~), ${misc:Depends}
+Depends: gnome-shell (<< 48~), gnome-shell (>= 45~), ${misc:Depends}
 Description: innovative marking menu via keyboard shortcuts
  Fly-Pie is an extension for GNOME Shell which lets you open marking menus via
  keyboard shortcuts. It is the first GNOME Shell extension with achievements!
