=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 override_dh_auto_install:
 	mkdir -p $(TEMPDIR)
 	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)
+	cd schemas && glib-compile-schemas .
+	cp schemas/gschemas.compiled $(TEMPDIR)/schemas/
