## gnome-shell-extension-flypie 28

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Simon Schneegans <code@simonschneegans.de>
+# SPDX-License-Identifier: MIT
+
 SHELL := /bin/bash
 
 # We define these here to make the makefile easier to port to another extension.
@@ -14,7 +17,8 @@
 
 # These files will be included in the extension zip file.
 ZIP_CONTENT = $(JS_FILES) $(LOCALES_MO) resources/$(NAME).gresource \
-              presets schemas/gschemas.compiled metadata.json LICENSE
+              schemas/org.gnome.shell.extensions.$(NAME).gschema.xml \
+              presets metadata.json LICENSE
 
 # These five recipes can be invoked by the user.
 .PHONY: zip install uninstall pot clean test
@@ -50,7 +54,7 @@
 	       locale
 
 test:
-	@ for version in 32 33 34 35 36 ; do \
+	@ for version in 39 ; do \
 	  for session in "gnome-xsession" "gnome-wayland-nested" ; do \
 	    echo ; \
 	    echo "Running Tests on Fedora $$version ($$session)." ; \
@@ -75,11 +79,6 @@
 	    exit 1; \
 	 fi
 
-# Compiles the gschemas.compiled file from the gschema.xml file.
-schemas/gschemas.compiled: schemas/org.gnome.shell.extensions.$(NAME).gschema.xml
-	@echo "Compiling schemas..."
-	@glib-compile-schemas schemas
-
 # Compiles the gresource file from the gresources.xml.
 resources/$(NAME).gresource: resources/$(NAME).gresource.xml
 	@echo "Compiling resources..."
