=== debian/changelog ===
gnome-shell-extension-flypie (28-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian/not-installed: add .pc

  [ Mo Zhou ]
  * New upstream version 28 (Closes: #1096045)
  * Override dh_gencontrol to automatically find compatible gnome version.

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Mar 2025 18:30:19 -0400
