=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,9 @@
 	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)
 	cd schemas && glib-compile-schemas .
 	cp schemas/gschemas.compiled $(TEMPDIR)/schemas/
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")
+
