## gnome-shell-extension-flypie 32

=== debian/changelog ===
gnome-shell-extension-flypie (32-1) unstable; urgency=medium

  * New upstream version 32 (Closes: #1115510)

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 18:11:11 -0500
